Index: trunk/src/Makefile.am
===================================================================
--- trunk/src/Makefile.am	(revision 5412)
+++ trunk/src/Makefile.am	(revision 5413)
@@ -10,9 +10,33 @@
 orxonox_CPPFLAGS = -DIS_ORXONOX
 
-orxonox_DEPENDENCIES = lib/libORXlibs.la \
-                       util/libORXutils.la
+orxonox_DEPENDENCIES = lib/libORXlibs.a \
+                       util/libORXutils.a \
+                       lib/gui/gtk_gui/libORXgui.a \
+                       lib/graphics/importer/libORXimporter.a \
+                       lib/graphics/libORXgraphics.a \
+                       lib/sound/libORXsound.a \
+                       lib/event/libORXevent.a \
+                       lib/physics/libORXphysics.a \
+                       lib/particles/libORXparticles.a \
+                       lib/collision_detection/libORXcd.a \
+                       lib/graphics/spatial_separation/libORXquadtree.a \
+                       lib/tinyxml/libtinyxml.a \
+                       lib/gui/gl_gui/libORXglgui.a \
+                       lib/shell/libORXshell.a
 
-orxonox_LDADD = util/libORXutils.la \
-                lib/libORXlibs.la \
+orxonox_LDADD = util/libORXutils.a \
+                lib/libORXlibs.a \
+                lib/gui/gtk_gui/libORXgui.a \
+                lib/graphics/importer/libORXimporter.a \
+                lib/graphics/libORXgraphics.a \
+                lib/sound/libORXsound.a \
+                lib/event/libORXevent.a \
+                lib/physics/libORXphysics.a \
+                lib/particles/libORXparticles.a \
+                lib/collision_detection/libORXcd.a \
+                lib/graphics/spatial_separation/libORXquadtree.a \
+                lib/tinyxml/libtinyxml.a \
+                lib/gui/gl_gui/libORXglgui.a \
+                lib/shell/libORXshell.a \
                 $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
Index: trunk/src/lib/Makefile.am
===================================================================
--- trunk/src/lib/Makefile.am	(revision 5412)
+++ trunk/src/lib/Makefile.am	(revision 5413)
@@ -2,33 +2,34 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXlibs.la
+noinst_LIBRARIES = libORXlibs.a
 
-libORXlibs_la_DEPENDENCIES = gui/gtk_gui/libORXgui.la \
-                             gui/gl_gui/libORXglgui.la \
-                             graphics/importer/libORXimporter.la \
-                             graphics/libORXgraphics.la \
-                             sound/libORXsound.la \
-                             event/libORXevent.la \
-                             physics/libORXphysics.la \
-                             particles/libORXparticles.la \
-                             collision_detection/libORXcd.la \
-                             graphics/spatial_separation/libORXquadtree.la \
-                             tinyxml/libtinyxml.la \
-                             shell/libORXshell.la
+#libORXlibs_a_DEPENDENCIES = gui/gtk_gui/libORXgui.a \
+                            gui/gl_gui/libORXglgui.a \
+                            graphics/importer/libORXimporter.a \
+                            graphics/libORXgraphics.a \
+                            sound/libORXsound.a \
+                            event/libORXevent.a \
+                            physics/libORXphysics.a \
+                            particles/libORXparticles.a \
+                            collision_detection/libORXcd.a \
+                            graphics/spatial_separation/libORXquadtree.a \
+                            tinyxml/libtinyxml.a \
+                            shell/libORXshell.a
 
-libORXlibs_la_LIBADD =      gui/gtk_gui/libORXgui.la \
-                            gui/gl_gui/libORXglgui.la \
-                            graphics/importer/libORXimporter.la \
-                            graphics/libORXgraphics.la \
-                            sound/libORXsound.la \
-                            event/libORXevent.la \
-                            physics/libORXphysics.la \
-                            particles/libORXparticles.la \
-                            collision_detection/libORXcd.la \
-                            graphics/spatial_separation/libORXquadtree.la \
-                            tinyxml/libtinyxml.la \
-                            shell/libORXshell.la
+#libORXlibs_a_LIBDADD =      gui/gtk_gui/libORXgui.a \
+                            gui/gl_gui/libORXglgui.a \
+                            graphics/importer/libORXimporter.a \
+                            graphics/libORXgraphics.a \
+                            sound/libORXsound.a \
+                            event/libORXevent.a \
+                            physics/libORXphysics.a \
+                            particles/libORXparticles.a \
+                            collision_detection/libORXcd.a \
+                            graphics/spatial_separation/libORXquadtree.a \
+                            tinyxml/libtinyxml.a \
+                            shell/libORXshell.a \
+                            $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
-libORXlibs_la_SOURCES = coord/p_node.cc \
+libORXlibs_a_SOURCES =  coord/p_node.cc \
                         coord/null_parent.cc \
                         lang/base_object.cc \
Index: trunk/src/lib/collision_detection/Makefile.am
===================================================================
--- trunk/src/lib/collision_detection/Makefile.am	(revision 5412)
+++ trunk/src/lib/collision_detection/Makefile.am	(revision 5413)
@@ -2,15 +2,15 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXcd.la
+noinst_LIBRARIES = libORXcd.a 
 
-libORXcd_la_SOURCES = cd_engine.cc \
-                      collision.cc \
-		      obb.cc \
-                      obb_tree.cc \
-		      obb_tree_node.cc \
-                      bv_tree.cc \
-		      bv_tree_node.cc \
-		      bounding_volume.cc \
-		      bounding_sphere.cc
+libORXcd_a_SOURCES = cd_engine.cc \
+                     collision.cc \
+		     obb.cc \
+                     obb_tree.cc \
+		     obb_tree_node.cc \
+                     bv_tree.cc \
+		     bv_tree_node.cc \
+		     bounding_volume.cc \
+		     bounding_sphere.cc
 
 
Index: trunk/src/lib/event/Makefile.am
===================================================================
--- trunk/src/lib/event/Makefile.am	(revision 5412)
+++ trunk/src/lib/event/Makefile.am	(revision 5413)
@@ -2,11 +2,11 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXevent.la
+noinst_LIBRARIES = libORXevent.a 
 
-libORXevent_la_SOURCES = event.cc \
-			 event_handler.cc \
-			 event_listener.cc \
-			 key_mapper.cc \
-			 key_names.cc
+libORXevent_a_SOURCES = event.cc \
+			event_handler.cc \
+			event_listener.cc \
+			key_mapper.cc \
+			key_names.cc
 
 
Index: trunk/src/lib/graphics/Makefile.am
===================================================================
--- trunk/src/lib/graphics/Makefile.am	(revision 5412)
+++ trunk/src/lib/graphics/Makefile.am	(revision 5413)
@@ -2,14 +2,14 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXgraphics.la
+noinst_LIBRARIES = libORXgraphics.a
 
-libORXgraphics_la_SOURCES = graphics_engine.cc \
-			    light.cc \
-			    shader.cc \
-			    render2D/render_2d.cc \
-			    render2D/element_2d.cc \
-			    text_engine/text_engine.cc \
-			    text_engine/text.cc \
-			    text_engine/font.cc
+libORXgraphics_a_SOURCES = graphics_engine.cc \
+			   light.cc \
+			   shader.cc \
+			   render2D/render_2d.cc \
+			   render2D/element_2d.cc \
+			   text_engine/text_engine.cc \
+			   text_engine/text.cc \
+			   text_engine/font.cc
 
 noinst_HEADERS = graphics_engine.h \
Index: trunk/src/lib/graphics/importer/Makefile.am
===================================================================
--- trunk/src/lib/graphics/importer/Makefile.am	(revision 5412)
+++ trunk/src/lib/graphics/importer/Makefile.am	(revision 5413)
@@ -2,12 +2,12 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXimporter.la
+noinst_LIBRARIES = libORXimporter.a
 
-libORXimporter_la_SOURCES = model.cc \
-                            objModel.cc \
-                            primitive_model.cc \
-                            md2Model.cc \
-                            material.cc \
-                            texture.cc
+libORXimporter_a_SOURCES = model.cc \
+                           objModel.cc \
+                           primitive_model.cc \
+                           md2Model.cc \
+                           material.cc \
+                           texture.cc
 
 
Index: trunk/src/lib/graphics/spatial_separation/Makefile.am
===================================================================
--- trunk/src/lib/graphics/spatial_separation/Makefile.am	(revision 5412)
+++ trunk/src/lib/graphics/spatial_separation/Makefile.am	(revision 5413)
@@ -2,9 +2,9 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXquadtree.la
+noinst_LIBRARIES = libORXquadtree.a
 
-libORXquadtree_la_SOURCES = quadtree.cc \
-                            quadtree_node.cc \
-                            spatial_separation.cc
+libORXquadtree_a_SOURCES = quadtree.cc \
+                           quadtree_node.cc \
+                           spatial_separation.cc
 
 noinst_HEADERS =  quadtree.h \
Index: trunk/src/lib/gui/gl_gui/Makefile.am
===================================================================
--- trunk/src/lib/gui/gl_gui/Makefile.am	(revision 5412)
+++ trunk/src/lib/gui/gl_gui/Makefile.am	(revision 5413)
@@ -4,19 +4,19 @@
 AM_LDFLAGS =
 
-noinst_LTLIBRARIES = libORXglgui.la
+noinst_LIBRARIES = libORXglgui.a
 
-libORXglgui_la_CPPFLAGS = -DBUILD_ORXONOX
+libORXglgui_a_CPPFLAGS = -DBUILD_ORXONOX
 
 
-libORXglgui_la_SOURCES = glmenu/glmenu_imagescreen.cc \
-                         glgui_handler.cc \
-                         glgui_mainwidget.cc \
-                         glgui_widget.cc \
-                         glgui_button.cc \
-                         glgui_pushbutton.cc \
-                         glgui_container.cc \
-                         glgui_box.cc \
-                         glgui_frame.cc \
-                         glgui_window.cc
+libORXglgui_a_SOURCES = glmenu/glmenu_imagescreen.cc \
+                        glgui_handler.cc \
+                        glgui_mainwidget.cc \
+                        glgui_widget.cc \
+                        glgui_button.cc \
+                        glgui_pushbutton.cc \
+                        glgui_container.cc \
+                        glgui_box.cc \
+                        glgui_frame.cc \
+                        glgui_window.cc
 
 
Index: trunk/src/lib/gui/gtk_gui/Makefile.am
===================================================================
--- trunk/src/lib/gui/gtk_gui/Makefile.am	(revision 5412)
+++ trunk/src/lib/gui/gtk_gui/Makefile.am	(revision 5413)
@@ -2,19 +2,19 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXgui.la
+noinst_LIBRARIES = libORXgui.a
 
-libORXgui_la_CPPFLAGS = -DBUILD_ORXONOX \
+libORXgui_a_CPPFLAGS = -DBUILD_ORXONOX \
 			$(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
-libORXgui_la_SOURCES = gui.cc \
-                       gui_gtk.cc \
-                       gui_element.cc \
-                       gui_video.cc \
-                       gui_audio.cc \
-                       gui_exec.cc \
-                       gui_flags.cc \
-                       gui_banner.cc \
-                       gui_keys.cc \
-                       gui_update.cc
+libORXgui_a_SOURCES = gui.cc \
+		      gui_gtk.cc \
+	              gui_element.cc \
+	       	      gui_video.cc \
+	              gui_audio.cc \
+	              gui_exec.cc \
+	              gui_flags.cc \
+	              gui_banner.cc \
+	              gui_keys.cc \
+	              gui_update.cc
 
 noinst_HEADERS= gui.h \
Index: trunk/src/lib/gui/gtk_gui/gui_flags.cc
===================================================================
--- trunk/src/lib/gui/gtk_gui/gui_flags.cc	(revision 5412)
+++ trunk/src/lib/gui/gtk_gui/gui_flags.cc	(revision 5413)
@@ -59,6 +59,4 @@
 void GuiFlags::setTextFromFlags(Widget* widget)
 {
-  if (widget == NULL)
-    return;
   FlagInfo flagInfo;
   flagInfo.shortFlags = this->shortFlags;
Index: trunk/src/lib/particles/Makefile.am
===================================================================
--- trunk/src/lib/particles/Makefile.am	(revision 5412)
+++ trunk/src/lib/particles/Makefile.am	(revision 5413)
@@ -2,10 +2,10 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXparticles.la
+noinst_LIBRARIES = libORXparticles.a
 
-libORXparticles_la_SOURCES = particle_engine.cc \
-                             particle_emitter.cc \
-                             particle_system.cc \
-                             quick_animation.cc
+libORXparticles_a_SOURCES = particle_engine.cc \
+                            particle_emitter.cc \
+                            particle_system.cc \
+                            quick_animation.cc
 
 
Index: trunk/src/lib/physics/Makefile.am
===================================================================
--- trunk/src/lib/physics/Makefile.am	(revision 5412)
+++ trunk/src/lib/physics/Makefile.am	(revision 5413)
@@ -2,13 +2,13 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXphysics.la
+noinst_LIBRARIES = libORXphysics.a
 
-libORXphysics_la_SOURCES = physics_interface.cc \
-                           physics_connection.cc \
-                           physics_engine.cc \
-                           fields/field.cc \
-                           fields/gravity.cc \
-                           fields/point_gravity.cc \
-                           fields/twirl.cc
+libORXphysics_a_SOURCES = physics_interface.cc \
+                          physics_connection.cc \
+                          physics_engine.cc \
+                          fields/field.cc \
+                          fields/gravity.cc \
+                          fields/point_gravity.cc \
+                          fields/twirl.cc
 
 noinst_HEADERS= physics_interface.h \
Index: trunk/src/lib/shell/Makefile.am
===================================================================
--- trunk/src/lib/shell/Makefile.am	(revision 5412)
+++ trunk/src/lib/shell/Makefile.am	(revision 5413)
@@ -2,11 +2,11 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXshell.la
+noinst_LIBRARIES = libORXshell.a
 
-libORXshell_la_SOURCES = shell.cc \
-			 shell_buffer.cc \
-			 shell_input.cc \
-		         shell_command.cc \
-			 shell_completion.cc
+libORXshell_a_SOURCES = shell.cc \
+			shell_buffer.cc \
+			shell_input.cc \
+		        shell_command.cc \
+			shell_completion.cc
 
 
Index: trunk/src/lib/sound/Makefile.am
===================================================================
--- trunk/src/lib/sound/Makefile.am	(revision 5412)
+++ trunk/src/lib/sound/Makefile.am	(revision 5413)
@@ -2,10 +2,10 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXsound.la
+noinst_LIBRARIES = libORXsound.a
 
-libORXsound_la_SOURCES = sound_engine.cc \
-			 sound_source.cc \
-			 sound_buffer.cc \
-                         ogg_player.cc
+libORXsound_a_SOURCES = sound_engine.cc \
+			sound_source.cc \
+			sound_buffer.cc \
+                        ogg_player.cc
 
 noinst_HEADERS = sound_engine.h \
Index: trunk/src/lib/tinyxml/Makefile.am
===================================================================
--- trunk/src/lib/tinyxml/Makefile.am	(revision 5412)
+++ trunk/src/lib/tinyxml/Makefile.am	(revision 5413)
@@ -1,6 +1,6 @@
 
-noinst_LTLIBRARIES = libtinyxml.la
+noinst_LIBRARIES = libtinyxml.a 
 
-libtinyxml_la_SOURCES = tinyxml.cc \
+libtinyxml_a_SOURCES = tinyxml.cc \
 		       tinystr.cc \
 		       tinyxmlerror.cc \
Index: trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- trunk/src/subprojects/collision_detection/Makefile.am	(revision 5412)
+++ trunk/src/subprojects/collision_detection/Makefile.am	(revision 5413)
@@ -5,6 +5,13 @@
 bin_PROGRAMS = collision
 
-collision_LDADD = ${MAINSRCDIR}/lib/libORXlibs.la \
-                  ${MAINSRCDIR}/util/libORXutils.la \
+collision_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+                  $(MAINSRCDIR)/lib/collision_detection/libORXcd.a \
+                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
+                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
+                  $(MAINSRCDIR)/lib/event/libORXevent.a \
+                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                  $(MAINSRCDIR)/lib/graphics/spatial_separation/libORXquadtree.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
@@ -16,8 +23,24 @@
 collision_SOURCES= ../framework.cc \
                    collision_detection.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/lib/util/helper_functions.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
+                   $(MAINSRCDIR)/lib/util/color.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
-                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
                    $(MAINSRCDIR)/world_entities/test_entity.cc \
                    $(MAINSRCDIR)/world_entities/environment.cc \
+                   $(MAINSRCDIR)/util/animation/animation.cc \
+                   $(MAINSRCDIR)/util/animation/animation_player.cc \
+                   $(MAINSRCDIR)/util/animation/animation3d.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/world_entities/world_entity.cc \
                    $(MAINSRCDIR)/world_entities/terrain.cc
Index: trunk/src/subprojects/importer/Makefile.am
===================================================================
--- trunk/src/subprojects/importer/Makefile.am	(revision 5412)
+++ trunk/src/subprojects/importer/Makefile.am	(revision 5413)
@@ -2,5 +2,5 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-importer_CPPFLAGS = 
+importer_CPPFLAGS =
 
 importer_LDFLAGS = $(MWINDOWS)
@@ -8,14 +8,25 @@
 bin_PROGRAMS = importer
 
-importer_DEPENDENCIES = ${MAINSRCDIR}/lib/libORXlibs.la \
-                        ${MAINSRCDIR}/util/libORXutils.la
-
-
-
-importer_LDADD = $(MAINSRCDIR)/lib/libORXlibs.la \
-                 $(MAINSRCDIR)/util/libORXutils.la 
+importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
+                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
+                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
 
 importer_SOURCES= ../framework.cc \
                   importer.cc \
+                  $(MAINSRCDIR)/util/state.cc \
                   $(MAINSRCDIR)/world_entities/camera.cc \
-		  ${MAINSRCDIR}/util/resource_manager.cc
+                  $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/lang/class_list.cc \
+                  $(MAINSRCDIR)/lib/math/vector.cc \
+                  $(MAINSRCDIR)/util/resource_manager.cc \
+                  $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                  $(MAINSRCDIR)/lib/coord/p_node.cc \
+                  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                  $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
+                  $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/lib/util/color.cc \
+                  $(MAINSRCDIR)/util/loading/factory.cc
Index: trunk/src/subprojects/particles/Makefile.am
===================================================================
--- trunk/src/subprojects/particles/Makefile.am	(revision 5412)
+++ trunk/src/subprojects/particles/Makefile.am	(revision 5413)
@@ -5,6 +5,13 @@
 bin_PROGRAMS = particles
 
-particles_LDADD = ${MAINSRCDIR}/lib/libORXlibs.la \
-                  ${MAINSRCDIR}/util/libORXutils.la \
+particles_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+                  $(MAINSRCDIR)/lib/event/libORXevent.a \
+                  $(MAINSRCDIR)/lib/particles/libORXparticles.a \
+                  $(MAINSRCDIR)/lib/shell/libORXshell.a \
+                  $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                  $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                  $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a \
+                  $(MAINSRCDIR)/lib/physics/libORXphysics.a \
+                  $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS)
 
@@ -14,6 +21,21 @@
 particles_SOURCES= ../framework.cc \
                    particle_fun.cc \
+                   $(MAINSRCDIR)/lib/graphics/light.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/world_entities/world_entity.cc \
+                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
-                   $(MAINSRCDIR)/world_entities/camera.cc \
-                   $(MAINSRCDIR)/world_entities/world_entity.cc
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gtk_gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+		   $(MAINSRCDIR)/lib/util/helper_functions.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
+                   $(MAINSRCDIR)/lib/util/color.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc
 
Index: trunk/src/util/Makefile.am
===================================================================
--- trunk/src/util/Makefile.am	(revision 5412)
+++ trunk/src/util/Makefile.am	(revision 5413)
@@ -2,20 +2,20 @@
 include $(MAINSRCDIR)/defs/include_paths.am
 
-noinst_LTLIBRARIES = libORXutils.la
+noinst_LIBRARIES = libORXutils.a
 
-libORXutils_la_SOURCES = fast_factory.cc \
-                         garbage_collector.cc \
-			 resource_manager.cc \
-			 state.cc \
-			 user_control.cc \
-			 animation/animation3d.cc \
-			 animation/animation.cc \
-			 animation/animation_player.cc \
-			 loading/factory.cc \
-			 loading/game_loader.cc \
-			 loading/load_param.cc \
-			 track/pilot_node.cc \
-			 track/track_manager.cc \
-			 track/track_node.cc
+libORXutils_a_SOURCES = fast_factory.cc \
+			garbage_collector.cc \
+			resource_manager.cc \
+			state.cc \
+			user_control.cc \
+			animation/animation3d.cc \
+			animation/animation.cc \
+			animation/animation_player.cc \
+			loading/factory.cc \
+			loading/game_loader.cc \
+			loading/load_param.cc \
+			track/pilot_node.cc \
+			track/track_manager.cc \
+			track/track_node.cc
 
 noinst_HEADERS =        fast_factory.h \
